pub mod login;
pub mod game_actions;
pub mod map_actions;

use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize)]
pub struct ResultBase<T: Serialize> {
    pub success: bool,
    pub fail_reason: Option<String>,
    pub data: Option<T>
}